Bug 760943 - Review Request: perl-Messaging-Message - This perl module provides an abstraction of a "message", as used in messaging
Summary: Review Request: perl-Messaging-Message - This perl module provides an abstrac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-07 12:02 UTC by Laurence Field
Modified: 2012-03-01 09:30 UTC (History)
4 users (show)

Fixed In Version: perl-Messaging-Message-0.8-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-31 22:04:44 UTC
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Laurence Field 2011-12-07 12:02:10 UTC
Spec URL: http://lfield.web.cern.ch/lfield/perl-Messaging-Message.spec
SRPM URL: http://cern.ch/lfield/perl-Messaging-Message-0.7-1.fc17.noarch.rpm
Description: This module provides an abstraction of a "message", as used in messaging, see for instance: http://en.wikipedia.org/wiki/Enterprise_messaging_system.

Comment 1 Laurence Field 2011-12-07 12:09:23 UTC
Here is the link to a koji scratch build.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3571869

Comment 2 Petr Pisar 2012-01-05 13:33:55 UTC
The SRPM URL points to compiled `binary' package. Wee need source RPM package for review (rpmbuild -bs perl-Messaging-Message.spec). Please provide it.

Comment 3 Laurence Field 2012-01-09 10:49:27 UTC
Spec URL: http://lfield.web.cern.ch/lfield/fedora/perl-Messaging-Message.spec
SRPM URL: http://lfield.web.cern.ch/lfield/fedora/perl-Messaging-Message-0.7-1.fc16.src.rpm

Sorry, finger trouble. Please find the correct URL above.

Comment 4 Petr Pisar 2012-01-10 14:48:06 UTC
Source file is original. Ok.
Summary verified from lib/Messaging/Message.pm. Ok.
License verified from README. Ok.
Description verified from lib/Messaging/Message.pm. Ok.

TODO: Remove useless BuildRoot definition, its delete in %install and whole %clean section. They are no needed anymore.

No XS files or any compiled code, noarch build architecture is Ok.

TODO: Build-require perl(Encode) for tests (t/2serialize.t:6).
TODO: Build-require perl(Exporter) for tests (lib/Messaging/Message.pm:23).

FIX: Build-require perl(Compress::Zlib) for optional tests (t/2serialize.t:11).

FIX: Build-require perl(Directory::Queue) for optional tests (t/2queue.t:47).
FIX: Build-require perl(Directory::Queue::Simple) for optional tests (t/2queue.t:53).

TODO: Sort Build-Requires lexicographically to make package maintenance easier.

TODO: Remove useless %defattr macro from %files section.
TODO: Do not package useless VERSION file.

All tests pass. Ok.

$ rpmlint perl-Messaging-Message.spec ../SRPMS/perl-Messaging-Message-0.7-1.fc17.src.rpm ../RPMS/noarch/perl-Messaging-Message-0.7-1.fc17.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Messaging-Message-0.7-1.fc17.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Jan 10 15:34 /usr/share/doc/perl-Messaging-Message-0.7
-rw-r--r--    1 root    root                      393 Dec  2 14:50 /usr/share/doc/perl-Messaging-Message-0.7/Changes
-rw-r--r--    1 root    root                     1692 Nov 21 11:00 /usr/share/doc/perl-Messaging-Message-0.7/README
-rw-r--r--    1 root    root                        4 Dec  2 14:50 /usr/share/doc/perl-Messaging-Message-0.7/VERSION
-rw-r--r--    1 root    root                     4998 Jan 10 15:34 /usr/share/man/man3/Messaging::Message.3pm.gz
-rw-r--r--    1 root    root                     2693 Jan 10 15:34 /usr/share/man/man3/Messaging::Message::Generator.3pm.gz
-rw-r--r--    1 root    root                     2120 Jan 10 15:34 /usr/share/man/man3/Messaging::Message::Queue.3pm.gz
-rw-r--r--    1 root    root                     2517 Jan 10 15:34 /usr/share/man/man3/Messaging::Message::Queue::DQ.3pm.gz
-rw-r--r--    1 root    root                     2489 Jan 10 15:34 /usr/share/man/man3/Messaging::Message::Queue::DQS.3pm.gz
drwxr-xr-x    2 root    root                        0 Jan 10 15:34 /usr/share/perl5/vendor_perl/Messaging
drwxr-xr-x    2 root    root                        0 Jan 10 15:34 /usr/share/perl5/vendor_perl/Messaging/Message
-rw-r--r--    1 root    root                    23806 Dec  2 14:52 /usr/share/perl5/vendor_perl/Messaging/Message.pm
-rw-r--r--    1 root    root                     7359 Dec  2 14:52 /usr/share/perl5/vendor_perl/Messaging/Message/Generator.pm
drwxr-xr-x    2 root    root                        0 Jan 10 15:34 /usr/share/perl5/vendor_perl/Messaging/Message/Queue
-rw-r--r--    1 root    root                     2164 Dec  2 14:52 /usr/share/perl5/vendor_perl/Messaging/Message/Queue.pm
-rw-r--r--    1 root    root                     4087 Dec  2 14:52 /usr/share/perl5/vendor_perl/Messaging/Message/Queue/DQ.pm
-rw-r--r--    1 root    root                     4057 Dec  2 14:52 /usr/share/perl5/vendor_perl/Messaging/Message/Queue/DQS.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Messaging-Message-0.7-1.fc17.noarch.rpm | sort | uniq -c
      2 perl(Digest::MD5)  
      1 perl(Encode)  
      1 perl(Exporter)  
      2 perl(JSON)  
      1 perl(Messaging::Message)  
      2 perl(MIME::Base64)  
      1 perl(:MODULE_COMPAT_5.14.2)  
      2 perl(Params::Validate)  
      1 perl(strict)  
      1 perl(warnings)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
TODO: Remove explicit Requires that are auto-detected: perl(Digest::MD5), perl(JSON), perl(MIME::Base64), perl(Params::Validate)

$ rpm -q --provides  -p ../RPMS/noarch/perl-Messaging-Message-0.7-1.fc17.noarch.rpm | sort | uniq -c
      1 perl(Messaging::Message) = 0.7
      1 perl-Messaging-Message = 0.7-1.fc17
      1 perl(Messaging::Message::Generator) = 0.7
      1 perl(Messaging::Message::Queue) = 0.7
      1 perl(Messaging::Message::Queue::DQ) = 0.7
      1 perl(Messaging::Message::Queue::DQS) = 0.7
Binary provides are Ok.

$ resolvedeps rawhide  ../RPMS/noarch/perl-Messaging-Message-0.7-1.fc17.noarch.rpm 
Binary dependencies resolvable. Ok.

Because Koji does not work now, I will do scratch build later.


Please correct all `FIX' issues, consider fixing `TODO' items, and provided new spec file.

Resolution: Package NOT approved.

Comment 5 Laurence Field 2012-01-12 09:25:03 UTC
Spec URL: http://lfield.web.cern.ch/lfield/fedora/perl-Messaging-Message.spec
SRPM URL:
http://lfield.web.cern.ch/lfield/fedora/perl-Messaging-Message-0.7-2.fc16.src.rpm

Here is a new version that addresses the issues you highlighted. Please note that we are also targeting RHEL 5.

Comment 6 Petr Pisar 2012-01-12 13:33:13 UTC
Spec file changes:

--- perl-Messaging-Message.spec 2012-01-09 11:47:43.000000000 +0100
+++ perl-Messaging-Message.spec.1       2012-01-12 10:23:25.000000000 +0100
@@ -1,6 +1,6 @@
 Name:          perl-Messaging-Message
 Version:       0.7
-Release:       1%{?dist}
+Release:        2%{?dist}
 Summary:       Abstraction of a message
 License:       GPL+ or Artistic
 Group:         Development/Libraries
@@ -9,20 +9,21 @@
 BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:     noarch
 BuildRequires: perl
-BuildRequires: perl(File::Temp)
-BuildRequires: perl(Pod::Coverage)
-BuildRequires: perl(Test::Pod)
-BuildRequires: perl(Test::Pod::Coverage)
+BuildRequires:  perl(Compress::Zlib)
 BuildRequires: perl(Digest::MD5)
+BuildRequires:  perl(Directory::Queue)
+BuildRequires:  perl(Directory::Queue::Simple)
+BuildRequires:  perl(Encode)
+BuildRequires:  perl(Exporter)
 BuildRequires: perl(ExtUtils::MakeMaker)
+BuildRequires:  perl(File::Temp)
 BuildRequires: perl(JSON)
 BuildRequires: perl(MIME::Base64)
 BuildRequires: perl(Params::Validate)
+BuildRequires:  perl(Pod::Coverage) >= 0.18
 BuildRequires: perl(Test::More)
-Requires:      perl(Digest::MD5)
-Requires:      perl(JSON)
-Requires:      perl(MIME::Base64)
-Requires:      perl(Params::Validate)
+BuildRequires:  perl(Test::Pod) >= 1.22
+BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
 Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
 %description
@@ -61,4 +62,3 @@
 %changelog
 * Wed Dec 07 2011 Lionel Cons <lionel.cons@cern.ch> 0.7-1
 - Specfile autogenerated by cpanspec 1.78.
-


> > TODO: Remove useless BuildRoot definition, its delete in %install and whole
> > %clean section. They are no needed anymore.
> > TODO: Remove useless %defattr macro from %files section.
> Please note that we are also targeting RHEL 5.
Ok.

> TODO: Build-require perl(Encode) for tests (t/2serialize.t:6).
+BuildRequires:  perl(Encode)
Ok.

> TODO: Build-require perl(Exporter) for tests (lib/Messaging/Message.pm:23).
+BuildRequires:  perl(Exporter)
Ok.

> FIX: Build-require perl(Compress::Zlib) for optional tests
> (t/2serialize.t:11).
+BuildRequires:  perl(Compress::Zlib)
Ok.

> FIX: Build-require perl(Directory::Queue) for optional tests (t/2queue.t:47).
> FIX: Build-require perl(Directory::Queue::Simple) for optional tests
> (t/2queue.t:53).
+BuildRequires:  perl(Directory::Queue)
+BuildRequires:  perl(Directory::Queue::Simple)
Ok.

> TODO: Sort Build-Requires lexicographically to make package maintenance easier.
Ok.

> TODO: Do not package useless VERSION file.
Not addressed. Ok.


All tests pass. Ok.

$ rpmlint perl-Messaging-Message.spec ../SRPMS/perl-Messaging-Message-0.7-2.fc17.src.rpm ../RPMS/noarch/perl-Messaging-Message-0.7-2.fc17.noarch.rpm 
perl-Messaging-Message.noarch: W: incoherent-version-in-changelog 0.7-1 ['0.7-2.fc17', '0.7-2']
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

TODO: Update release number in %changelog entry.

> TODO: Remove explicit Requires that are auto-detected: perl(Digest::MD5),
> perl(JSON), perl(MIME::Base64), perl(Params::Validate)
$ rpm -q --requires -p ../RPMS/noarch/perl-Messaging-Message-0.7-2.fc17.noarch.rpm | sort | uniq -c
      1 perl(Digest::MD5)  
      1 perl(Encode)  
      1 perl(Exporter)  
      1 perl(JSON)  
      1 perl(Messaging::Message)  
      1 perl(MIME::Base64)  
      1 perl(:MODULE_COMPAT_5.14.2)  
      1 perl(Params::Validate)  
      1 perl(strict)  
      1 perl(warnings)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Messaging-Message-0.7-2.fc17.noarch.rpm 
Binary dependencies resolvable. Ok.

Package build in Koji (http://koji.fedoraproject.org/koji/taskinfo?taskID=3641670). Ok.

Package is in line with Fedora and Perl packaging guidelines.


Please consider fixing all `TODO' items before building the package.
Resolution: Package APPROVED.

Comment 8 Laurence Field 2012-01-12 14:18:15 UTC
New Package SCM Request
=======================
Package Name: perl-Messaging-Message
Short Description: This perl module provides an abstraction of a "message", as used in messaging 
Owners: lfield
Branches: f16 el5 el6
InitialCC:

Comment 9 Gwyn Ciesla 2012-01-12 14:45:38 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-01-23 12:56:21 UTC
perl-Messaging-Message-0.7-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Messaging-Message-0.7-3.el5

Comment 11 Fedora Update System 2012-01-23 12:56:31 UTC
perl-Messaging-Message-0.7-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Messaging-Message-0.7-3.fc16

Comment 12 Fedora Update System 2012-01-23 12:56:52 UTC
perl-Messaging-Message-0.7-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Messaging-Message-0.7-3.el6

Comment 13 Fedora Update System 2012-01-23 17:34:09 UTC
perl-Messaging-Message-0.7-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 14 Fedora Update System 2012-01-31 22:04:44 UTC
perl-Messaging-Message-0.7-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2012-02-10 12:51:24 UTC
perl-Messaging-Message-0.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Messaging-Message-0.8-1.el5

Comment 16 Fedora Update System 2012-02-10 12:51:35 UTC
perl-Messaging-Message-0.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Messaging-Message-0.8-1.el6

Comment 17 Fedora Update System 2012-02-10 12:51:44 UTC
perl-Messaging-Message-0.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Messaging-Message-0.8-1.fc16

Comment 18 Fedora Update System 2012-02-28 21:02:07 UTC
perl-Messaging-Message-0.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-02-28 21:02:42 UTC
perl-Messaging-Message-0.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2012-03-01 09:30:49 UTC
perl-Messaging-Message-0.8-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.